/*
 * Common Library for TBAS Softwares
 *
 * All Rights Reserved.
 * (c) Copyright 2002 by Tsukuba Bunko.
 *
 * $Id: IllegalResourceException.java,v 1.1 2003/08/31 08:20:49 ppoi Exp $
 */
package tsukuba_bunko.resource;


/**
 * リソースが <code>ResourceManager</code> が利用できない形式である際に
 * throw される例外です.
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 * @see	tsukuba_bunko.resource.ResourceLoader
 */
public class IllegalResourceException	extends Exception	{

	/**
	 * 基の例外オブジェクト
	 */
	private Exception	_source = null;


	/**
	 * <code>IllegalResourceException</code> のインスタンスを作成します.
	 */
	public IllegalResourceException()
	{
		super();
	}

	/**
	 * <code>IllegalResourceException</code> のインスタンスを作成します.
	 * @param	message	エラーメッセージ
	 */
	public IllegalResourceException( String message )
	{
		super( message );
	}

	/**
	 * <code>IllegalResourceException</code> のインスタンスを作成します.
	 * @param	e	基になる例外オブジェクト
	 */
	public IllegalResourceException( Exception e )
	{
		super( e.getMessage() );
		_source = e;
	}


	/**
	 * 基になった例外オブジェクトを取得します.
	 * @return	基の例外オブジェクト
	 */
	public Exception getSourceException()
	{
		return _source;
	}
}
